Bug 152566 - nforce4 network issues
nforce4 network issues
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-03-30 09:01 EST by Marco
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-06-21 13:17:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Yum, gnome's icon, ipconfig, ping, network conf and tool screenshot (170.84 KB, image/jpeg)
2005-03-30 09:01 EST, Marco
no flags Details

  None (edit)
Description Marco 2005-03-30 09:01:50 EST
Description of problem:
I've a MSI K8N Platinum with nforce4 SLI.
I've a problem with the integrated network and forcedeth: my network seems
works, but as you can see in the attchment some programs say that network
doesn't work, others yes:
- ping to www.google.it works
- browser can reach www.google.it
- network configuration says that eth0 is ok and working


- gnome's network icon say no network device
- network tool say that eth0 is inactive.
- Yum sometimes reaches repos sometimes not.

Version-Release number of selected component (if applicable):
kernel version: 2.6.11-1.1208-x86_64

Actual results:
network works not very well.

Expected results:
network fully recognized by any component.
Comment 1 Marco 2005-03-30 09:01:51 EST
Created attachment 112451 [details]
Yum, gnome's icon, ipconfig, ping, network conf and tool screenshot
Comment 2 Marco 2005-03-31 09:48:04 EST
updated to kernel version: 2.6.11-1.1219-x86_64
same issues.

none that help me?
Comment 3 Marco 2005-04-03 09:36:46 EDT
updated to kernel version: 2.6.11-1.1225-x86_64
same issues.

I need a fix!
Comment 4 Marco 2005-04-12 09:46:56 EDT
updated to Fedora Core 4 test 2 with kernel version: 2.6.11-1.1226-x86_64
same issues.

I'm writing on a wall or someone will help me?
Comment 5 Marco 2005-04-12 10:05:41 EDT
finally tried to update to kernel version: 2.6.11-1.1236-x86_64
same issues.
Comment 6 Marco 2005-04-20 10:41:06 EDT
updated to kernel version: 2.6.11-1.1251-x86_64
same issues.
Comment 7 Marco 2005-04-26 09:39:26 EDT
updated to kernel version: 2.6.11-1.1267-x86_64
same issues.
Comment 8 Marco 2005-05-11 15:01:50 EDT
updated to Fedora Core 4 test 3 and kernel version: 2.6.11-1.1290-x86_64
same issues.
Comment 9 Marco 2005-06-21 06:54:41 EDT
updated to Fedora Core 4 final kernel version: 2.6.11-1.1369-x86_64
same issues.

So I've tried to install a PCI card, I've installed a VIA VT6105 PCI based
network card and SAME ISSUE.
- FF can reach network
- ping works

- yum doesn't work
- gnome's network icon show no network.

I think it's a Fedora's bug, because different network, different modules, same
Please FIX this or help me to have a normal situation.

Comment 10 Dave Jones 2005-06-21 08:07:00 EDT
the fact that ping/browser works suggests the driver is fine, so my thinking is
that this must be a problem in the gui tools.
Comment 11 Harald Hoyer 2005-06-21 08:37:55 EDT
system-config-network says it is "active" !!!
Comment 12 Marco 2005-06-21 08:50:59 EDT
(In reply to comment #11)
> system-config-network says it is "active" !!!

yes it is, but can be that says it is active but forget to change something?
Comment 13 Dan Williams 2005-06-21 09:15:28 EDT
what is the output of (as root):




Comment 14 Dan Williams 2005-06-21 09:39:26 EDT
That should be:

/sbin/mii-tool eth0
/sbin/ethtool eth0

Comment 15 Marco 2005-06-21 09:50:17 EDT
[root@b-52 ~]# /sbin/mii-tool eth0
eth0: negotiated 100baseTx-FD flow-control, link ok
[root@b-52 ~]# /sbin/ethtool eth0
Settings for eth0:
        Supported ports: [ TP MII ]
        Supported link modes:   10baseT/Half 10baseT/Full
                                100baseT/Half 100baseT/Full
        Supports auto-negotiation: Yes
        Advertised link modes:  10baseT/Half 10baseT/Full
                                100baseT/Half 100baseT/Full
        Advertised auto-negotiation: Yes
        Speed: 100Mb/s
        Duplex: Full
        Port: MII
        PHYAD: 1
        Transceiver: internal
        Auto-negotiation: on
        Supports Wake-on: pumbg
        Wake-on: d
        Current message level: 0x00000001 (1)
        Link detected: yes
[root@b-52 ~]#
Comment 16 Marco 2005-06-21 10:36:31 EDT
Changing back the hostname from b-52 to localhost.localdomain yum works!
gnome's network icon still not working.

Comment 17 Marco 2005-06-21 11:20:02 EDT
I've a _fresh_ Fedora Core 4 final version installed.
I've changed the default network configuration -> dns -> hostname from
"localhost.localdomain" to "b-52" and yum stop working.
Browser and ping work.
Switching to another network (from integreted nforce4 to VIA VT6105) same results.

Backing to "localhost.localdomain" let yum to work.
Comment 18 Marco 2005-06-21 11:27:51 EDT
when I say yum stop working I want to say that cannot reach repositary, it stops
like in the image attached.
The only way is to hit ctrl-c and terminate the process.
Comment 19 Marco 2005-06-21 13:17:43 EDT
Ok now yum works, don't know why, also with b-52 hostname, it is very slow on
retrieve informations about repositaries, but it works.
Gnome's network icon works after entering eht0 as I have read here

Note You need to log in before you can comment on or make changes to this bug.